Bug 987927 - DatabaseStoredIndexTest.indexWasStored fails with AssertionError
DatabaseStoredIndexTest.indexWasStored fails with AssertionError
Status: ASSIGNED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.2.0,6.4.0
x86_64 Linux
unspecified Severity high
: ER5
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 08:23 EDT by Vitalii Chepeliuk
Modified: 2018-02-07 19:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3329 Major Resolved DatabaseStoredIndexTest.indexWasStored random failures 2015-04-24 07:31:47 EDT
JBoss Issue Tracker ISPN-3365 Major Resolved org.infinispan.lucene.DatabaseStoredIndexTest.indexWasStored fails with AssertionError 2015-04-24 07:31:47 EDT

  None (edit)
Description Vitalii Chepeliuk 2013-07-24 08:23:59 EDT
Description of problem:
See Description of ISPN-3365
Comment 3 JBoss JIRA Server 2013-07-25 09:15:14 EDT
Vitalii Chepeliuk <vchepeli@redhat.com> made a comment on jira ISPN-3365

Added trace log for lucene-v3 module
Comment 4 JBoss JIRA Server 2013-09-12 06:53:10 EDT
Anna Manukyan <amanukya@redhat.com> updated the status of jira ISPN-3365 to Reopened
Comment 5 JBoss JIRA Server 2013-09-12 06:53:10 EDT
Anna Manukyan <amanukya@redhat.com> made a comment on jira ISPN-3365

The issue seems to appear again - very randomly but it is there.

For JDG 6.2.0.DR4 the test failed once for Windows Machine with Oracle JDK7 and once for the RHEL7 x64 Oracle JDK7.

For both cases the assertion error is the same:

{code}
java.lang.AssertionError: 
	at org.testng.AssertJUnit.fail(AssertJUnit.java:59)
	at org.testng.AssertJUnit.assertTrue(AssertJUnit.java:24)
	at org.testng.AssertJUnit.assertFalse(AssertJUnit.java:41)
	at org.testng.AssertJUnit.assertFalse(AssertJUnit.java:49)
	at org.infinispan.lucene.DatabaseStoredIndexTest.indexWasStored(DatabaseStoredIndexTest.java:130)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:80)
	at org.testng.internal.Invoker.invokeMethod(Invoker.java:715)
	at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:907)
	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:1237)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:127)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:111)
	at org.testng.TestRunner.privateRun(TestRunner.java:767)
	at org.testng.TestRunner.run(TestRunner.java:617)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:334)
	at org.testng.SuiteRunner.access$000(SuiteRunner.java:37)
	at org.testng.SuiteRunner$SuiteWorker.run(SuiteRunner.java:368)
	at org.testng.internal.thread.ThreadUtil$2.call(ThreadUtil.java:64)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:895)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:918)
	at java.lang.Thread.run(Thread.java:662)
{code}

But the log view for both cases is different. I will attach the trace logs for both cases.
Comment 6 JBoss JIRA Server 2013-09-12 08:10:55 EDT
Anna Manukyan <amanukya@redhat.com> made a comment on jira ISPN-3365

Unfortunately the trace logs for the lucene/ module are not available. So the only logs that I can provide are:

For Windows machine during the test execution the following output was printed:

{code}
Key found in store, shouldn't have persisted this or should have cleaned up all readlocks on directory close:_3.frq|RL|testing index
Key found in store, shouldn't have persisted this or should have cleaned up all readlocks on directory close:_3.fdt|RL|testing index
Key found in store, shouldn't have persisted this or should have cleaned up all readlocks on directory close:_3.tis|RL|testing index
Key found in store, shouldn't have persisted this or should have cleaned up all readlocks on directory close:segments_4|RL|testing index
Key found in store, shouldn't have persisted this or should have cleaned up all readlocks on directory close:_3.nrm|RL|testing index
Key found in store, shouldn't have persisted this or should have cleaned up all readlocks on directory close:_3.fnm|RL|testing index
Key found in store, shouldn't have persisted this or should have cleaned up all readlocks on directory close:_3_1.del|RL|testing index
Key found in store, shouldn't have persisted this or should have cleaned up all readlocks on directory close:_3.prx|RL|testing index
Key found in store, shouldn't have persisted this or should have cleaned up all readlocks on directory close:_3.fdx|RL|testing index
Key found in store, shouldn't have persisted this or should have cleaned up all readlocks on directory close:_3.tii|RL|testing index
{code}

For RHEL machine the following output was printed:

{code}
Failure on key[segments_4|0|16384|testing index] expected value:
	[B0xfffffff500000141..[824]	actual value:
	null
{code}
Comment 7 JBoss JIRA Server 2013-09-12 08:11:11 EDT
Anna Manukyan <amanukya@redhat.com> made a comment on jira ISPN-3365

The issue seems to appear again - very randomly but it is there.

For JDG 6.2.0.DR4 the test failed once for Windows Machine with Oracle JDK7 and once for the RHEL6 x64 Oracle JDK7.

For both cases the assertion error is the same:

{code}
java.lang.AssertionError: 
	at org.testng.AssertJUnit.fail(AssertJUnit.java:59)
	at org.testng.AssertJUnit.assertTrue(AssertJUnit.java:24)
	at org.testng.AssertJUnit.assertFalse(AssertJUnit.java:41)
	at org.testng.AssertJUnit.assertFalse(AssertJUnit.java:49)
	at org.infinispan.lucene.DatabaseStoredIndexTest.indexWasStored(DatabaseStoredIndexTest.java:130)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:80)
	at org.testng.internal.Invoker.invokeMethod(Invoker.java:715)
	at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:907)
	at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:1237)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:127)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:111)
	at org.testng.TestRunner.privateRun(TestRunner.java:767)
	at org.testng.TestRunner.run(TestRunner.java:617)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:334)
	at org.testng.SuiteRunner.access$000(SuiteRunner.java:37)
	at org.testng.SuiteRunner$SuiteWorker.run(SuiteRunner.java:368)
	at org.testng.internal.thread.ThreadUtil$2.call(ThreadUtil.java:64)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:895)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:918)
	at java.lang.Thread.run(Thread.java:662)
{code}

But the log view for both cases is different. I will attach the trace logs for both cases.
Comment 8 Anna Manukyan 2013-10-01 03:55:10 EDT
Now, the tests are failing constantly on windows2012x64bit && Oracle JDK6 machine. The failure message is the same.
Comment 9 Anna Manukyan 2013-10-07 08:26:50 EDT
The tests also fail for Open JDK6 && RHEL6_x64 environment.
Comment 10 JBoss JIRA Server 2014-02-19 02:38:00 EST
Dan Berindei <dberinde@redhat.com> updated the status of jira ISPN-3365 to Resolved
Comment 11 JBoss JIRA Server 2014-11-05 09:35:08 EST
Gustavo Fernandes <gustavo@infinispan.org> updated the status of jira ISPN-3329 to Reopened
Comment 12 JBoss JIRA Server 2014-12-05 04:39:57 EST
Galder Zamarreño <galder.zamarreno@redhat.com> updated the status of jira ISPN-3329 to Resolved
Comment 13 Jakub Markos 2015-03-26 06:13:54 EDT
I'm seeing this fail with 6.4.1.ER2 on RHEL with IBM8 with Assertion error on at org.infinispan.lucene.DatabaseStoredIndexTest.indexWasStored(DatabaseStoredIndexTest.java:127) and standard output:

Failure on key[_3.nrm|0|1048576|testing index] expected value:
	[B0x4e524dff7c76	actual value:
	null
Failure on key[segments_4|0|1048576|testing index] expected value:
	[B0xfffffff50000014c..[780]	actual value:
	null
Failure on key[_3.prx|0|1048576|testing index] expected value:
	[B0x0006050302010400	actual value:
	null
[testng-DatabaseStoredIndexTest] Test indexWasStored(org.infinispan.lucene.DatabaseStoredIndexTest) failed.

Note You need to log in before you can comment on or make changes to this bug.